Bug Hunting Session
Bug 103531 - FILESAVE: OOXML .xlsx external references with quoted sheet names saved incorrectly
Summary: FILESAVE: OOXML .xlsx external references with quoted sheet names saved incor...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL: https://www.dropbox.com/s/rchb1qezq8d...
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-27 09:07 UTC by Eike Rathke
Modified: 2019-09-24 11:43 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2016-10-27 09:07:28 UTC
From https://ask.libreoffice.org/en/question/80419/saving-xlsx-file-causes-corruption/

When saving external references, for sheet names that have to be quoted the file ID is prepended but Excel expects it within the quoted sheet name, the result is [1]'BLT Use Only'!$B$1:$B$32 instead of '[1]BLT Use Only'!$B$1:$B$32.

This makes Excel complain about corrupted data and when "repairing" it discards the formula expression.
Comment 1 Commit Notification 2016-10-27 10:54:05 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=02af87fdd76bc94fb51aeb160c74d6f719c42c63

Resolves: tdf#103531 OOXML: write external file ID within quoted sheet names

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2016-10-27 11:01:12 UTC
Pending review https://gerrit.libreoffice.org/30324 for 5-2
Comment 3 Commit Notification 2016-10-27 12:44:06 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40241c2aec0e88cbb51b802bda2db458e14f792f

sc: OOXML: range with file ID within quoted sheet name, tdf#103531 related

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-10-28 16:40:13 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=56d61fdfabe600cfba50d684df38701248df796f&h=libreoffice-5-2

Resolves: tdf#103531 OOXML: write external file ID within quoted sheet names

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.